* [Getting started](README.md)
  * [QMK Introduction](getting_started_introduction.md)
  * [Install Build Tools](getting_started_build_tools.md)
    * Alternative: [Vagrant Guide](getting_started_vagrant_guide.md)
  * [Build/Compile instructions](getting_started_make_guide.md)
  * [How to Use Github](getting_started_github.md)

* [FAQ](faq.md)
  * [General FAQ](faq_general.md)
  * [Build/Compile QMK](faq_build.md)
  * [Debugging/Troubleshooting QMK](faq_debug.md)
  * [Keymap](faq_keymap.md)

* [Features](features.md)
  * [Common Shortcuts](feature_common_shortcuts.md)
  * [Backlight](feature_backlight.md)
  * [Bootmagic](feature_bootmagic.md)
  * [Dynamic Macros](dynamic_macros.md)
  * [Key Lock](key_lock.md)
  * [Leader Key](feature_leader_key.md)
  * [Macros](macros.md)
  * [Mouse keys](mouse_keys.md)
  * [PS2 Mouse](feature_ps2_mouse.md)
  * [Space Cadet](space_cadet_shift.md)
  * [Tap Dance](tap_dance.md)
  * [Audio](feature_audio.md)
  * [Thermal Printer](feature_thermal_printer.md)
  * [Stenography](stenography.md)
  * [Unicode](unicode.md)

* Reference
  * [Glossary](glossary.md)
  * [Keymap overview](keymap.md)
  * [Keycodes](keycodes.md)
    * [Basic](keycodes_basic.md)
    * [Quantum](quantum_keycodes.md)
    * [Backlight](feature_backlight.md#backlight-keycodes)
    * [Bluetooth](feature_bluetooth.md#bluetooth-keycodes)
    * [Bootmagic](feature_bootmagic.md#bootmagic-keycodes)
    * [Layer Switching](feature_common_shortcuts.md#switching-and-toggling-layers)
    * [Mod+Key](feature_common_shortcuts.md#modifier-keys)
    * [Mod Tap](feature_common_shortcuts.md#mod-tap)
    * [One Shot Keys](feature_common_shortcuts.md#one-shot-keys)
    * [Shifted Keys](feature_common_shortcuts.md#shifted-keycodes)
    * [Stenography](stenography.md#keycode-reference)
    * [RGB Light](feature_rgblight.md#rgblight-keycodes)
    * [Thermal Printer](feature_thermal_printer.md#thermal-printer-keycodes)
    * [US ANSI Shifted Keys](keycodes_us_ansi_shifted.md)
  * [The `config.h` File](config_options.md)
  * [Customizing Functionality](custom_quantum_functions.md)
  * [Documentation Best Practices](documentation_best_practices.md)
  * [Unit Testing](unit_testing.md)

* For Makers and Modders
  * [Adding a keyboard to QMK](adding_a_keyboard_to_qmk.md)
  * [Adding features to QMK](adding_features_to_qmk.md)
  * [Hand Wiring Guide](hand_wiring.md)
  * [ISP flashing guide](isp_flashing_guide.md)
  * [Modding your keyboard](modding_your_keyboard.md)
  * [Porting your keyboard to QMK](porting_your_keyboard_to_qmk.md)

* For a Deeper Understanding
  * [How Keyboards Work](how_keyboards_work.md)
  * [Understanding QMK](understanding_qmk.md)

* Other Topics
  * [Using Eclipse with QMK](eclipse.md)
